| Home | Libraries | People | FAQ | More

## Class template basic_parsed_options

boost::program_options::basic_parsed_options

## Synopsis

    // In header: <boost/program_options/variables_map.hpp>

    template<typename charT>
    class basic_parsed_options {
    public:
      // construct/copy/destruct
      explicit basic_parsed_options(const options_description *, int = 0);
    };

## Description

Results of parsing an input source. The primary use of this class is passing information from parsers component to value storage component. This class does not makes much sense itself.

### `basic_parsed_options` public construct/copy/destruct

1.     explicit basic_parsed_options(const options_description * xdescription,
                                     int options_prefix = 0);